SpatemCodec Class Reference

`#include <SpatemCodec.hh>`

Inheritance diagram for SpatemCodec:

## Public Member Functions

| SpatemCodec ()
virtual | ~SpatemCodec ()
virtual int | encode (const SPATEM__PDU__Descriptions::SPATEM &spatem, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, SPATEM__PDU__Descriptions::SPATEM &, Params *params=NULL)
| Encode typed message into an octet string format. More...
Public Member Functions inherited from Codec< SPATEM__PDU__Descriptions::SPATEM, SPATEM__PDU__Descriptions::SPATEM >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Attributes

SpatemPDUCodec | asnCodec

## Additional Inherited Members

Protected Attributes inherited from Codec< SPATEM__PDU__Descriptions::SPATEM, SPATEM__PDU__Descriptions::SPATEM >
Params * | _params

## Constructor & Destructor Documentation

## SpatemCodec()

SpatemCodec::SpatemCodec | ( |  | ) |

inlineexplicit

## ~SpatemCodec()

virtual SpatemCodec::~SpatemCodec | ( |  | ) |

inlinevirtual

## Member Function Documentation

## decode()

int SpatemCodec::decode | ( | const OCTETSTRING & | p_,
|  | SPATEM__PDU__Descriptions::SPATEM & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |

virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< SPATEM__PDU__Descriptions::SPATEM, SPATEM__PDU__Descriptions::SPATEM >.

## encode()

int SpatemCodec::encode | ( | const SPATEM__PDU__Descriptions::SPATEM & | msg,
|  | OCTETSTRING & | data
| ) |  |

virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< SPATEM__PDU__Descriptions::SPATEM, SPATEM__PDU__Descriptions::SPATEM >.

## Member Data Documentation

## asnCodec

SpatemPDUCodec SpatemCodec::asnCodec

private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/SpatemCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/SpatemCodec.cc